﻿@{
    bool haveTempData = TempData["Message"] != null;

    string iconCssClass = string.Empty, msgCssClass = string.Empty, msgBoxCssClass = string.Empty;
    Infrastructure.Messages.Message Message = null;

    if (haveTempData)
    {
        Message = TempData["Message"] as Infrastructure.Messages.Message;

        iconCssClass = Message.IsSuccess ? "glyphicon-ok msg-icon-success msg-icon" : "glyphicon-remove msg-icon-error msg-icon";
        msgCssClass = Message.IsSuccess ? "msg-body-success" : "msg-body-error";
        msgBoxCssClass = Message.IsSuccess ? "alert-success" : "alert-danger";
    }
}



<div class="container">
    <div class="row">
        <div class="col-lg-12">
           <div class="box-message">
               <br />

               <img style="display:block; margin:10px auto; max-width:300px;" src="~/Content/images/customer-service-icon-png-9.png" />

               <br />

               @if (haveTempData)
                {
                   <div class="alert @msgBoxCssClass">
                       <i class="glyphicon @iconCssClass"></i> &nbsp; @Html.Raw(Message.MessageBody)
                   </div>
               }
           </div>
        </div>
    </div>
</div>
